import { WebPlugin } from '@capacitor/core';
import type { FirebaseAuthenticationPlugin, GetCurrentUserResult, GetIdTokenOptions, GetIdTokenResult, SetLanguageCodeOptions, SignInResult } from './definitions';
export declare class FirebaseAuthenticationWeb extends WebPlugin implements FirebaseAuthenticationPlugin {
    getCurrentUser(): Promise<GetCurrentUserResult>;
    getIdToken(_options?: GetIdTokenOptions): Promise<GetIdTokenResult>;
    setLanguageCode(_options?: SetLanguageCodeOptions): Promise<void>;
    signInWithApple(): Promise<SignInResult>;
    signInWithGithub(): Promise<SignInResult>;
    signInWithGoogle(): Promise<SignInResult>;
    signInWithMicrosoft(): Promise<SignInResult>;
    signInWithTwitter(): Promise<SignInResult>;
    signInWithYahoo(): Promise<SignInResult>;
    signOut(): Promise<void>;
    useAppLanguage(): Promise<void>;
}
